class TestClass < KwircPlugin
	def initialize
		print "TestClass::initialize"
		register("testclass")

		command("/figlet") do |server, channel, nick, args|
			dest = channel
			if dest == nil
				dest = nick
			end
			str = args.split(/ /, 2)[1]
			if str != nil and str != ""
				f = IO.popen ("figlet #dostrend")
				f.readlines.each do |out|
					out.chomp!
					dest.privmsg(randomcolor(out))
				end
			end
		end
	end

	def randomcolor(str)
		str.gsub!(//) { |s|
			3.chr + rand(15).to_s
		}
		return str
	end
	
	# this is executed when somebody (other than you) talks in a channel:
	def public(chan, nick, message)
		if message == "loulou?"
			chan.privmsg "oui, c'est moi"
		end
	end

	# this is executed when somebody (other than you) talks in a query:
	def private(nick, message)
		if message == "nohar?"
			nick.action "slaps blackmore"
		end
	end

	def saying(chanOrNick, message)
		if chanOrNick.to_s.downcase == "#kwirc"
			message.downcase!
			message.gsub!(/a/, '4')
			message.gsub!(/c/, '(')
			message.gsub!(/d/, '|)')
			message.gsub!(/e/, '3')
			message.gsub!(/f/, '|=')
			message.gsub!(/h/, '|-|')
			message.gsub!(/i/, '1')
			message.gsub!(/k/, '|<')
			message.gsub!(/l/, '|_')
			message.gsub!(/m/, '/\\/\\')
			message.gsub!(/n/, '/\\/')
			message.gsub!(/o/, '0')
			message.gsub!(/s/, 'Z')
			message.gsub!(/t/, '7')
			message.gsub!(/u/, '|_|')
			message.gsub!(/v/, '\\/')
			message.gsub!(/w/, '\\/\\/')
		end
		return message
	end
end
t = TestClass.new
